Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class XModeHandler

    java.lang.Object
      com.microstar.xml.HandlerBase
          org.gjt.sp.jedit.syntax.XModeHandler

All Implemented Interfaces:
  XmlHandler

public abstract class XModeHandler
extends HandlerBase

XML handler for mode definition files.

Constructor Summary
`XModeHandler(java.lang.String modeName)`

Method Summary
`void` | `attribute(java.lang.String aname, java.lang.String value, boolean isSpecified)` Handle an attribute assignment.
`void` | `charData(char[] c, int off, int len)` Handle character data.
`void` | `doctypeDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Handle a document type declaration.
`void` | `endDocument()` Handle the end of the document.
`void` | `endElement(java.lang.String name)` Handle the end of an element.
`protected abstract void` | `error(java.lang.String msg, java.lang.Object subst)` Reports an error.
`java.util.Hashtable` | `getModeProperties()`
`TokenMarker` | `getTokenMarker()`
`protected abstract TokenMarker` | `getTokenMarker(java.lang.String mode)` Returns the token marker for the given mode.
`java.lang.Object` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Resolve an external entity.
`void` | `startDocument()` Handle the start of the document.
`void` | `startElement(java.lang.String tag)` Handle the start of an element.

Methods inherited from class com.microstar.xml.HandlerBase
`endExternalEntity, error, ignorableWhitespace, processingInstruction, startExternalEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XModeHandler

    public XModeHandler(java.lang.String modeName)

Method Detail

### resolveEntity

    public java.lang.Object resolveEntity(java.lang.String publicId,
                                          java.lang.String systemId)

  Description copied from class: `HandlerBase`
  Resolve an external entity.

  The default implementation simply returns the supplied system identifier.

  Specified by:
    `resolveEntity` in interface `XmlHandler`
  Overrides:
    `resolveEntity` in class `HandlerBase`
  See Also:
    `XmlHandler.resolveEntity(java.lang.String, java.lang.String)`

### attribute

    public void attribute(java.lang.String aname,
                          java.lang.String value,
                          boolean isSpecified)

  Description copied from class: `HandlerBase`
  Handle an attribute assignment.

  The default implementation does nothing.

  Specified by:
    `attribute` in interface `XmlHandler`
  Overrides:
    `attribute` in class `HandlerBase`
  See Also:
    `XmlHandler.attribute(java.lang.String, java.lang.String, boolean)`

### doctypeDecl

    public void doctypeDecl(java.lang.String name,
                            java.lang.String publicId,
                            java.lang.String systemId)
                     throws java.lang.Exception

  Description copied from class: `HandlerBase`
  Handle a document type declaration.

  The default implementation does nothing.

  Specified by:
    `doctypeDecl` in interface `XmlHandler`
  Overrides:
    `doctypeDecl` in class `HandlerBase`
  Throws:
    `java.lang.Exception` - Derived methods may throw exceptions.
  See Also:
    `XmlHandler.doctypeDecl(java.lang.String, java.lang.String, java.lang.String)`

### charData

    public void charData(char[] c,
                         int off,
                         int len)

  Description copied from class: `HandlerBase`
  Handle character data.

  The default implementation does nothing.

  Specified by:
    `charData` in interface `XmlHandler`
  Overrides:
    `charData` in class `HandlerBase`
  See Also:
    `XmlHandler.charData(char[], int, int)`

### startElement

    public void startElement(java.lang.String tag)

  Description copied from class: `HandlerBase`
  Handle the start of an element.

  The default implementation does nothing.

  Specified by:
    `startElement` in interface `XmlHandler`
  Overrides:
    `startElement` in class `HandlerBase`
  See Also:
    `XmlHandler.startElement(java.lang.String)`

### endElement

    public void endElement(java.lang.String name)

  Description copied from class: `HandlerBase`
  Handle the end of an element.

  The default implementation does nothing.

  Specified by:
    `endElement` in interface `XmlHandler`
  Overrides:
    `endElement` in class `HandlerBase`
  See Also:
    `XmlHandler.endElement(java.lang.String)`

### startDocument

    public void startDocument()

  Description copied from class: `HandlerBase`
  Handle the start of the document.

  The default implementation does nothing.

  Specified by:
    `startDocument` in interface `XmlHandler`
  Overrides:
    `startDocument` in class `HandlerBase`
  See Also:
    `XmlHandler.startDocument()`

### endDocument

    public void endDocument()

  Description copied from class: `HandlerBase`
  Handle the end of the document.

  The default implementation does nothing.

  Specified by:
    `endDocument` in interface `XmlHandler`
  Overrides:
    `endDocument` in class `HandlerBase`
  See Also:
    `XmlHandler.endDocument()`

### getTokenMarker

    public TokenMarker getTokenMarker()

### getModeProperties

    public java.util.Hashtable getModeProperties()

### error

    protected abstract void error(java.lang.String msg,
                                  java.lang.Object subst)

  Reports an error. You must override this method so that the mode loader can do error reporting.

  Parameters:
    `msg` - The error type
    `subst` - A `String` or a `Throwable` containing specific information
  Since:
    jEdit 4.2pre1

### getTokenMarker

    protected abstract TokenMarker getTokenMarker(java.lang.String mode)

  Returns the token marker for the given mode. You must override this method so that the mode loader can resolve delegate targets.

  Parameters:
    `mode` - The mode name
  Since:
    jEdit 4.2pre1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD